OpenMetal
API referenceSandboxes

Destroy Project Sandbox

DELETE
/v1/projects/{project_id}/sandboxes/{sandbox_id}

Authorization

bearerAuth
AuthorizationBearer <token>

Use a project API key for sandbox and runtime routes, or an OpenMetal user access token for account management routes.

In: header

Path Parameters

project_id*string
Match^prj_[A-Za-z0-9]+$
sandbox_id*string
Match^sbx_[A-Za-z0-9]+$

Response Body

application/json

application/json

application/json

application/json

curl -X DELETE "https://example.com/v1/projects/string/sandboxes/string"
{  "sandbox": {    "id": "string",    "type": "sandbox",    "project_id": "string",    "state": "requested",    "state_reason": "string",    "requested": {      "provider": "blaxel",      "source": {        "kind": "environment",        "environment": "string",        "version": "latest"      },      "resources": {        "vcpu": 1,        "memory_mb": 128,        "disk_mb": 0,        "architecture": "x86_64"      },      "lifecycle": {        "runtime_timeout_seconds": 1,        "idle_timeout_seconds": 1,        "on_runtime_timeout": "destroy",        "on_idle_timeout": "destroy"      },      "regions": [        "string"      ],      "features": {        "isolation": [          "microvm"        ],        "pty": true,        "pause_resume": true,        "public_ports": [          1        ],        "computer_use": true,        "recording": {          "format": "mp4"        },        "process": {          "execute": true,          "ordered_output": true,          "cancel": true        },        "filesystem": {          "read": true,          "write": true,          "write_modes": [            "create"          ],          "create_parents": true,          "list": true,          "delete": true        }      },      "network": {        "internet_access": true,        "allow_domains": [          "string"        ],        "deny_domains": [          "string"        ]      },      "fallback": {        "providers": [          "blaxel"        ],        "max_attempts": 1      },      "provider_options": {        "blaxel": {          "property1": null,          "property2": null        },        "cloudflare": {          "property1": null,          "property2": null        },        "codesandbox": {          "template_id": "string",          "vm_tier": "Pico"        },        "daytona": {          "property1": null,          "property2": null        },        "e2b": {          "template_id": "string"        },        "freestyle": {          "snapshot_id": "string"        },        "modal": {          "property1": null,          "property2": null        },        "northflank": {          "deployment_plan": "string",          "ephemeral_storage_mb": 1        },        "prime": {          "team_id": "string"        },        "runloop": {          "resource_size": "X_SMALL",          "blueprint_id": "string"        },        "vercel": {          "property1": null,          "property2": null        }      },      "environment": {        "property1": "string",        "property2": "string"      },      "secret_refs": {        "property1": "string",        "property2": "string"      },      "metadata": {        "property1": "string",        "property2": "string"      }    },    "provider": "blaxel",    "billing_mode": "managed",    "resolved_resources": {      "vcpu": 1,      "memory_mb": 128,      "disk_mb": 0,      "architecture": "x86_64",      "provider_size": "string"    },    "cost_microusd": "string",    "cost_updated_at": "2019-08-24T14:15:22Z",    "created_at": "2019-08-24T14:15:22Z",    "updated_at": "2019-08-24T14:15:22Z",    "ready_at": "2019-08-24T14:15:22Z",    "paused_at": "2019-08-24T14:15:22Z",    "stopped_at": "2019-08-24T14:15:22Z",    "metadata": {      "property1": "string",      "property2": "string"    }  },  "operation": {    "id": "string",    "project_id": "string",    "type": "sandbox_create",    "state": "queued",    "resource_type": "sandbox",    "resource_id": "string",    "retryable": true,    "error": {      "code": "string",      "message": "string",      "retryable": true,      "details": {        "property1": null,        "property2": null      }    },    "created_at": "2019-08-24T14:15:22Z",    "updated_at": "2019-08-24T14:15:22Z",    "completed_at": "2019-08-24T14:15:22Z"  }}